> For the complete documentation index, see [llms.txt](https://docs.licensespring.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.licensespring.com/vendor-platform/settings/audit-log.md).

# Audit Log

The audit log is a useful table to keep track of all essential actions performed within an account, and who performed them.

### Where Audit Logs Can Be Seen

#### In Aggregate

It can be found in aggregate by navigating to "Settings" > "Audit logs":

![Platform Audit Logs](https://content.gitbook.com/content/gLzurdfXUuKr9IziZWLz/blobs/0Hq1CT5eTELPWBP6ZdHr/2H5vBXaaseHWUjKQ0e25D_image.png)

#### Per Individual Item

A table under each license, customer, order or product will contain logs for any action carried out on a particular item. They currently appear at the bottom of the following views:

* License detail view
* Order detail view
* Customer detail view
* Product detail view

![Individual Item Logs](https://content.gitbook.com/content/gLzurdfXUuKr9IziZWLz/blobs/CNW5DsibXNz4dYBdVxOI/IsJKCFiD90c8_vWl6fzci_image.png)

### Actions Recorded Within the Audit Log

Here is a list of actions that are recorded when taken by a platform user:

#### Platform Users

* `platform_user_added`
* `platform_user_updated`
* `platform_user_removed`

#### Permissions Template for Platform Users

* `user_permission_template_created`
* `user_permission_template_updated`
* `user_permission_template_permissions_set`
* `user_permission_template_deleted`

#### Email Notifications

* `notification_policy_created`
* `notification_policy_updated`
* `notification_policy_deleted`

#### Products

* `product_created`
* `product_updated`
* `product_activated`
* `product_deactivated`
* `product_archived`
* `product_unarchived`
* `product_deleted`

#### Customers

* `customer_created`
* `customer_updated`
* `customer_deleted`

#### Orders

* `order_created`
* `order_updated`
* `order_manager_added`
* `order_manager_removed`
* `order_deleted`

#### Licenses

* `license_created`
* `license_updated`
* `license_reset`
* `license_disabled`
* `license_enabled`
* `license_consumption_reset`
* `license_user_assigned`
* `license_user_unassigned`
* `license_features_updated`
* `license_deleted`
* `license_custom_field_created`
* `license_custom_field_updated`
* `license_custom_field_deleted`

#### Devices

* `device_reset`
* `device_blacklisted`
* `device_borrowed`
* `device_borrow_released`

{% hint style="info" %}
Data Retention Period

The audit log is currently indefinite.
{% endhint %}

{% hint style="info" %}
Exporting the Audit Log

The audit log can be exported on a case-by-case basis.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.licensespring.com/vendor-platform/settings/audit-log.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
